OctoPi Release Candidate 0.15.1rc1 needs testers!


#1

Guy Sheffer just published a release candidate for a hotfix release of the OctoPi image, version 0.15.1.

Compared to the just recently released 0.15.0 image this RC only contains a fix for an incompatibility between the bundled OctoPrint 1.3.8 and the bundled pip 10:

This is a hotfix pinning pip to version 9 because version 10 does not play nice with OctoPrint plugins.

If you’ve got a spare SD card to help test this, your help would be greatly appreciated. Please report any findings back here - even a “works fine for me” is valuable information!

If you already updated to 0.15.0 and are wondering how this incompatibility manifests and how to work around it, take a look at this FAQ entry. The issue will be fixed in OctoPrint 1.3.9 as well.

You can find the download links in the ticket.

Confused about the difference between OctoPi and OctoPrint? Read this!


This is a companion discussion topic for the original entry at https://octoprint.org/blog/2018/05/10/octopi-release-candidate-0-15-1rc1/